# $Revision: 1.24 $, $Date: 2001/07/15 23:56:02 $
Summary:	GNU time Utility
Summary(de):	GNU-Time-Utility 
Summary(fr):	Utilitaire time de GNU
Summary(pl):	Narzdzie do pomiaru czasu GNU
Summary(tr):	GNU zamanlama arac
Name:		time
Version:	1.7
Release:	15
License:	GPL
Group:		Applications/System
Group(de):	Applikationen/System
Group(pl):	Aplikacje/System
Source0:	ftp://prep.ai.mit.edu/pub/gnu/time/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-man.patch
BuildRequires:	autoconf
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The 'time' utility is used as a sort of 'stopwatch' to time the
execution of a specified command. It can aid in the optimization of
programs for maximum speed, as well as a number of other uses.

%description -l de
Das TIME-Utility wird als eine Art Stoppuhr zum Messen der Ausfhrung
eines bestimmten Befehls benutzt. Es dient in erster Linie der
Optimierung von Programmen fr maximale Geschwindigkeit, hat aber
daneben eine Vielzahl anderer Anwendungen.

%description -l fr
L'utilitaire  time  sert de chronomtre pour mesurer le temps
d'excution d'une commande donne. Il peut aider  l'optimisation de
programmes pour obtenir une vitesse maximale et a beaucoup d'autres
uilisations.

%description -l pl
Program time umoliwia zmierzenie czasu wykonania badanego programu.
Jest pomocne np. przy optymalizowaniu algorytmw pod ktem szybkoci.

%description -l tr
time, bir uygulamann alma zamannn llmesi iin kronometre gibi
kullanlr. Genellikle programlarn hz asndan iyiletirilmesinde
yararl olur.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
autoconf
%configure

%{__make} 

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	bindir=$RPM_BUILD_ROOT%{_bindir}

install time.1 $RPM_BUILD_ROOT%{_mandir}/man1

gzip -9nf NEWS README

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {NEWS,README}.gz

%attr(755,root,root) %{_bindir}/time

%{_infodir}/time.info*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: time.spec,v $
Revision 1.24  2001/07/15 23:56:02  kloczek
- release 15: added texinfo to BuildRequires.

Revision 1.23  2000/10/12 02:14:56  kloczek
- release 14: use new rpm automation.

Revision 1.22  2000/06/18 22:54:25  kloczek
- release 13,
- spec adapterized.

Revision 1.21  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.19  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.18  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.16  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.15  1999/09/19 10:20:38  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.14  1999/07/12 23:06:15  kloczek

- added using CVS keywords in %changelog (for automating them).

* Mon May 31 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.7-10]
- more rpm macros.

* Thu Apr 22 1999 Artur Frysiak <wiget@pld.org.pl>
  [1.7-9]
- gzipped docs
- compiled on rpm 3

* Mon Dec 27 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.7-8]
- standarized {un}registering info pages (added time-info.patch),
- added useing "make install" in %install,
- added gzipping man pages.

* Mon Dec 14 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.7-7]
- added "Prereq: /sbin/install-info",
- standarized {un}registering info pages.

* Sat Oct 10 1998 Marcin Korzonek <mkorz@shadow.eu.org>
- added pl translation,
- allow building from non root account,
- build against GNU libc-2.1.
